Subject: RE: auctex can only see .tex files in HOME directory
From: "Scott, Steven" <[email-masked]>
To: "'Markus Hoenicka '" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 1 Feb 2002 18:34:49 -0800

Markus, 

Thank you for responding.  

> I could not reproduce this problem on my home box. I updated the
> Cygwin installation yesterday, and I use AucTeX 10.0.g, Emacs 21.1,
> and Cygwin's teTeX.

I updated to emacs 21.1 in the hopes that my problem would go away.
Alas, it did not.

> What shell do you use to run the TeX commands in Emacs? How did you
> set it up?

I have cygwin as the shell to run when one types M-x shell.  I presume
(though I do not know for sure) that this means cygwin is also the
shell that emacs/auctex uses to run latex.

The only command I changed from the tex-site.el defaults was the print
command (to "dvips -o") in (defcustom TeX-printer-list
  '(("Local" "dvips -o %s.ps %s" "lpq") .......))

The relevant lines from my .emacs file are given below:

Steve
--------------------------------------------------
;;;; tell emacs where to look for lisp files
(setq load-path (cons "d:/cygwin/elisp" load-path))  

;;;;;;;;;;;;;;;  BEGIN AUCTEX ;;;;;;;;;;;;;;;;;;;;;;;;;

(require 'tex-site)
(setq tex-default-mode 'latex-mode)
(setq text-mode-hook 'turn-on-auto-fill)
;;;   AUCTEX contributed files
(if window-system
    (require 'hilit-LaTeX))   ;; highlight latex commands
;
(if window-system
    (require 'font-latex))    ;; font lock (highlights C commands)
;
(autoload 'turn-on-bib-cite "bib-cite")    ;;; bib-cite
(add-hook 'LaTeX-mode-hook 'turn-on-bib-cite)
;;;;;;;;;;;;;;  END AUCTEX ;;;;;;;;;;;;;;;;;;;;;;;;;
 
------------------------------------------
-----Original Message-----
From: Markus Hoenicka
To: Scott, Steven
Cc: [email-masked]
Sent: 2/1/2002 7:42 AM
Subject: auctex can only see .tex files in HOME directory

Hi,

I could not reproduce this problem on my home box. I updated the
Cygwin installation yesterday, and I use AucTeX 10.0.g, Emacs 21.1,
and Cygwin's teTeX.

What shell do you use to run the TeX commands in Emacs? How did you
set it up?

regards,
Markus

Scott, Steven writes:
 > I recently updated my Cygwin distribution and now aucTeX will only
 > work on documents (i.e. .tex files) in my HOME directory.  If I use
 > LaTeX from the Cygwin shell then things work fine, as they did before
I
 > installed the updated distribution.  (I.e. I can LaTeX files in their
local
 > directories).

-- 
Markus Hoenicka, PhD
UT Houston Medical School
Dept. of Integrative Biology and Pharmacology
6431 Fannin MSB4.114
Houston, TX 77030
(713) 500-6313, -7477
(713) 500-7444 (fax)
[email-masked]
http://ourworld.compuserve.com/homepages/hoenicka_markus/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/